package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.mark.MarkPaperStatus;

/**
 * 评卷管理 列表
 */
public class MarkManageDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private String paperType;
    private Integer totalCount;
    private Integer markedCount;
    /**
     * 识别缺考未确认数量
     */
    private Integer omrAbsentCount;
    private String percent;
    private MarkPaperStatus status;
    private String statusDisplay;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(Integer markedCount) {
        this.markedCount = markedCount;
    }

    public Integer getOmrAbsentCount() {
        return omrAbsentCount;
    }

    public void setOmrAbsentCount(Integer omrAbsentCount) {
        this.omrAbsentCount = omrAbsentCount;
    }

    public String getPercent() {
        return percent;
    }

    public void setPercent(String percent) {
        this.percent = percent;
    }

    public MarkPaperStatus getStatus() {
        return status;
    }

    public void setStatus(MarkPaperStatus status) {
        this.status = status;
    }

    public String getStatusDisplay() {
        return statusDisplay;
    }

    public void setStatusDisplay(String statusDisplay) {
        this.statusDisplay = statusDisplay;
    }
}
